languageCodes = {
    ["tiếng Ả rập"] = "ar",
  ["tiếng abkhaz"] = "ab",
  ["tiếng aceh"] = "ace",
  ["tiếng acholi"] = "ach",
  ["tiếng afar"] = "aa",
  ["tiếng albania"] = "sq",
  ["tiếng alur"] = "alz",
  ["tiếng amharic"] = "am",
  ["tiếng anh"] = "en",
  ["tiếng armenia"] = "hy",
  ["tiếng assam"] = "as",
  ["tiếng avar"] = "av",
  ["tiếng awadhi"] = "awa",
  ["tiếng aymara"] = "ay",
  ["tiếng azerbaijan"] = "az",
  ["tiếng ba lan"] = "pl",
  ["tiếng ba tư"] = "fa",
  ["tiếng bali"] = "ban",
  ["tiếng baluchi"] = "bal",
  ["tiếng bambara"] = "bm",
  ["tiếng bantu"] = "xh",
  ["tiếng baoulé"] = "bci",
  ["tiếng bashkir"] = "ba",
  ["tiếng basque"] = "eu",
  ["tiếng batak karo"] = "btx",
  ["tiếng batak simalungun"] = "bts",
  ["tiếng batak toba"] = "bbc",
  ["tiếng bắc sami"] = "se",
  ["tiếng belarus"] = "be",
  ["tiếng bemba"] = "bem",
  ["tiếng bengal"] = "bn",
  ["tiếng betawi"] = "bew",
  ["tiếng bhojpuri"] = "bho",
  ["tiếng bikol"] = "bik",
  ["tiếng bosnia"] = "bs",
  ["tiếng bồ Đào nha"] = "pt-PT",
  ["tiếng brazil"] = "pt",
  ["tiếng breton"] = "br",
  ["tiếng bulgaria"] = "bg",
  ["tiếng buryat"] = "bua",
  ["tiếng catalan"] = "ca",
  ["tiếng cebuano"] = "ceb",
  ["tiếng chamorro"] = "ch",
  ["tiếng chechnya"] = "ce",
  ["tiếng chichewa"] = "ny",
  ["tiếng chuuk"] = "chk",
  ["tiếng chuvash"] = "cv",
  ["tiếng corsi"] = "co",
  ["tiếng creole (haiti)"] = "ht",
  ["tiếng creole seychelles"] = "crs",
  ["tiếng croatia"] = "hr",
  ["tiếng dari"] = "fa-AF",
  ["tiếng dhivehi"] = "dv",
  ["tiếng dinka"] = "din",
  ["tiếng do thái"] = "iw",
  ["tiếng dogri"] = "doi",
  ["tiếng dombe"] = "dov",
  ["tiếng dyula"] = "dyu",
  ["tiếng dzongkha"] = "dz",
  ["tiếng Đan mạch"] = "da",
  ["tiếng Đức"] = "de",
  ["tiếng estonia"] = "et",
  ["tiếng ewe"] = "ee",
  ["tiếng faroese"] = "fo",
  ["tiếng fiji"] = "fj",
  ["tiếng filipino"] = "tl",
  ["tiếng fon"] = "fon",
  ["tiếng frisia"] = "fy",
  ["tiếng friuli"] = "fur",
  ["tiếng fulani"] = "ff",
  ["tiếng gaa"] = "gaa",
  ["tiếng gael scotland"] = "gd",
  ["tiếng galicia"] = "gl",
  ["tiếng george"] = "ka",
  ["tiếng guarani"] = "gn",
  ["tiếng gujarat"] = "gu",
  ["tiếng hà lan"] = "nl",
  ["tiếng nam phi"] = "af",
  ["tiếng hakha chin"] = "cnh",
  ["tiếng hàn"] = "ko",
  ["tiếng hausa"] = "ha",
  ["tiếng hawaii"] = "haw",
  ["tiếng hiligaynon"] = "hil",
  ["tiếng hindi"] = "hi",
  ["tiếng hmong"] = "hmn",
  ["tiếng hungary"] = "hu",
  ["tiếng hunsrik"] = "hrx",
  ["tiếng hy lạp"] = "el",
  ["tiếng iban"] = "iba",
  ["tiếng iceland"] = "is",
  ["tiếng igbo"] = "ig",
  ["tiếng ilocano"] = "ilo",
  ["tiếng indonesia"] = "id",
  ["tiếng ireland"] = "ga",
  ["tiếng java"] = "jw",
  ["tiếng jingpo"] = "kac",
  ["tiếng kalaallisut"] = "kl",
  ["tiếng kannada"] = "kn",
  ["tiếng kanuri"] = "kr",
  ["tiếng kapampangan"] = "pam",
  ["tiếng kazakh"] = "kk",
  ["tiếng khasi"] = "kha",
  ["tiếng khmer"] = "km",
  ["tiếng kiga"] = "cgg",
  ["tiếng kikongo"] = "kg",
  ["tiếng kinyarwanda"] = "rw",
  ["tiếng kituba"] = "ktu",
  ["tiếng kokborok"] = "trp",
  ["tiếng komi"] = "kv",
  ["tiếng konkani"] = "gom",
  ["tiếng krio"] = "kri",
  ["tiếng kurd (kurmanji)"] = "ku",
  ["tiếng kurd (sorani)"] = "ckb",
  ["tiếng kyrgyz"] = "ky",
  ["tiếng lào"] = "lo",
  ["tiếng latgale"] = "ltg",
  ["tiếng latinh"] = "la",
  ["tiếng latvia"] = "lv",
  ["tiếng liguria"] = "lij",
  ["tiếng limburg"] = "li",
  ["tiếng lingala"] = "ln",
  ["tiếng litva"] = "lt",
  ["tiếng lombard"] = "lmo",
  ["tiếng luganda"] = "lg",
  ["tiếng luo"] = "luo",
  ["tiếng luxembourg"] = "lb",
  ["tiếng mã lai"] = "ms",
  ["tiếng macedonia"] = "mk",
  ["tiếng madura"] = "mad",
  ["tiếng maithili"] = "mai",
  ["tiếng makassar"] = "mak",
  ["tiếng malagasy"] = "mg",
  ["tiếng malay (jawi)"] = "ms-Arab",
  ["tiếng malayalam"] = "ml",
  ["tiếng malta"] = "mt",
["tiếng mam"] = "mam",
  ["tiếng manx"] = "gv",
  ["tiếng maori"] = "mi",
  ["tiếng marathi"] = "mr",
  ["tiếng marshall"] = "mh",
  ["tiếng marwadi"] = "mwr",
  ["tiếng mauritian creole"] = "mfe",
  ["tiếng maya yucatec"] = "yua",
  ["tiếng meadow mari"] = "chm",
  ["tiếng meiteilon (manipuri)"] = "mni-Mtei",
  ["tiếng minang"] = "min",
  ["tiếng mizo"] = "lus",
  ["tiếng mông cổ"] = "mn",
  ["tiếng myanmar"] = "my",
  ["tiếng n'ko"] = "bm-Nkoo",
  ["tiếng na uy"] = "no",
  ["tiếng nahuatl (Đông huasteca)"] = "nhe",
  ["tiếng nam ndebele"] = "nr",
  ["tiếng ndau"] = "ndc-ZW",
  ["tiếng nepal"] = "ne",
  ["tiếng nga"] = "ru",
  ["tiếng nhật"] = "ja",
  ["tiếng nuer"] = "nus",
  ["tiếng occitan"] = "oc",
  ["tiếng odia (oriya)"] = "or",
  ["tiếng oromo"] = "om",
  ["tiếng ossetia"] = "os",
  ["tiếng pangasinan"] = "pag",
  ["tiếng papiamento"] = "pap",
  ["tiếng pashto"] = "ps",
  ["tiếng patois jamaica"] = "jam",
  ["tiếng phạn"] = "sa",
  ["tiếng pháp"] = "fr",
  ["tiếng phần lan"] = "fi",
  ["tiếng punjab (gurmukhi)"] = "pa",
  ["tiếng punjab (shahmukhi)"] = "pa-Arab",
  ["tiếng q'eqchi'"] = "kek",
  ["tiếng quảng Đông"] = "yue",
  ["tiếng quechua"] = "qu",
  ["tiếng quốc tế ngữ"] = "eo",
  ["tiếng romani"] = "rom",
  ["tiếng rumani"] = "ro",
  ["tiếng rundi"] = "rn",
  ["tiếng samoa"] = "sm",
  ["tiếng sango"] = "sg",
  ["tiếng santali"] = "sat-Latn",
  ["tiếng séc"] = "cs",
  ["tiếng sepedi"] = "nso",
  ["tiếng serbia"] = "sr",
  ["tiếng sesotho"] = "st",
  ["tiếng shan"] = "shn",
  ["tiếng shona"] = "sn",
  ["tiếng sicily"] = "scn",
  ["tiếng silesia"] = "szl",
  ["tiếng sindhi"] = "sd",
  ["tiếng sinhala"] = "si",
  ["tiếng slovak"] = "sk",
  ["tiếng slovenia"] = "sl",
  ["tiếng somali"] = "so",
  ["tiếng sunda"] = "su",
  ["tiếng susu"] = "sus",
  ["tiếng swahili"] = "sw",
  ["tiếng swati"] = "ss",
  ["tiếng tahiti"] = "ty",
  ["tiếng tajik"] = "tg",
  ["tiếng tamazight"] = "ber-Latn",
  ["tiếng tamazight (tifinagh)"] = "ber",
  ["tiếng tamil"] = "ta",
  ["tiếng tatar"] = "tt",
  ["tiếng tatar krym"] = "crh",
  ["tiếng tây ban nha"] = "es",
  ["tiếng tây tạng"] = "bo",
  ["tiếng telugu"] = "te",
  ["tiếng tetum"] = "tet",
  ["tiếng thái"] = "th",
  ["tiếng thổ nhĩ kỳ"] = "tr",
  ["tiếng thụy Điển"] = "sv",
  ["tiếng nepal bhasa (newar)"] = "new",
  ["tiếng tigrinya"] = "ti",
  ["tiếng tiv"] = "tiv",
  ["tiếng tok pisin"] = "tpi",
  ["tiếng tonga"] = "to",
  ["tiếng trung (giản thể)"] = "zh-CN",
  ["tiếng trung (phồn thể)"] = "zh-TW",
  ["tiếng tsonga"] = "ts",
  ["tiếng tswana"] = "tn",
  ["tiếng tulu"] = "tcy",
  ["tiếng tumbuka"] = "tum",
  ["tiếng turkmen"] = "tk",
  ["tiếng tuva"] = "tyv",
  ["tiếng twi"] = "ak",
  ["tiếng udmurt"] = "udm",
  ["tiếng ukraina"] = "uk",
  ["tiếng urdu"] = "ur",
  ["tiếng uyghur"] = "ug",
  ["tiếng uzbek"] = "uz",
  ["tiếng venda"] = "ve",
  ["tiếng venice"] = "vec",
  ["tiếng việt"] = "vi",
  ["tiếng waray"] = "war",
  ["tiếng wolof"] = "wo",
  ["tiếng xứ wales"] = "cy",
  ["tiếng Ý"] = "it",
  ["tiếng yakut"] = "sah",
  ["tiếng yiddish"] = "yi",
  ["tiếng yoruba"] = "yo",
  ["tiếng zapotec"] = "zap",
  ["tiếng zulu"] = "zu",
}